# SButtonComponent Classes

This file provide the mixins to generate button classes


## Mixins


### s-button-classes

Provide all the classes of the button component like .btn, .btn--outline, etc...
- ```.btn```
- ```.btn--{color}```
- ```.btn--outline```
- ```.btn--link```
- ```.btn--block```


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$colors  |  **{ List<Color> }**  |  The colors to generate  |  optional  |  default primary secondary

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-button-classes-bare

Provide the bare styling for the buttons classes
- ```.btn```
- ```.btn--block```

Author : Olivier Bossel <olivier.bossel@gmail.com>


### s-button-classes-style

Provide the style styling for the buttons classes
- ```.button--{color}```
- ```.button--outline```
- ```.button--link```
- ```.button:disabled```
- ```.button--hover-{$color}```


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$colors  |  **{ List<Color> }**  |  The colors to generate  |  optional  |  default primary secondary

Author : Olivier Bossel <olivier.bossel@gmail.com>